> For the complete documentation index, see [llms.txt](https://docs.prismacloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.prismacloud.io/admin-guide/33/vulnerability-management/exporting-sboms.md).

# Exporting Software Bill of Materials on CycloneDX

A Software Bill of Materials (SBOM) is a detailed inventory of all software components, dependencies, and associated metadata within an application. The purpose of an SBOM is to provide clear visibility into these components, ensuring they meet security and compliance standards.

SBOMs can deliver the transparency that software users now demand by enabling a standard approach to understanding what is in an application and why.

Prisma Cloud supports exporting SBOM files in the CycloneDX v1.4 standard ([JSON](https://cyclonedx.org/docs/1.4/json/) or [XML](https://cyclonedx.org/docs/1.4/xml/)) for function, image, and host scans.

## SBOM Attributes

The SBOM files contain the following attributes.

| Attribute       | Description                                                                                                                                                                                   |
| --------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Name            | Name of the package                                                                                                                                                                           |
| BOM-REF         | Package URL (purl) if it exists; otherwise, UUID (for applications)                                                                                                                           |
| Package version | Version number of the package                                                                                                                                                                 |
| Package author  | Only for specific package types: rpm, jem, apk, and deb                                                                                                                                       |
| PURL identifier | Package URL that identifies the package                                                                                                                                                       |
| License         | Package license details                                                                                                                                                                       |
| **Metadata**:   |                                                                                                                                                                                               |
| Timestamp       | Time of printing                                                                                                                                                                              |
| Type            | <p>Asset type.</p><p>Images (in all stages) are categorized as containers. Serverless functions (in all stages) are categorized as services. Hosts and VMs are categorized as frameworks.</p> |
| Name            | Asset ID for images, hosts, and functions.                                                                                                                                                    |

## Download format for SBOMs

SBOM files can be downloaded either through API calls or twistcli.

### Download SBOMs using twistcli tool

The following option in the `twistcli` tool enables you to download SBOMs for function, image, and host scans:

`--SBOM [file_format]`

The file format values are `cyclonedx_json` or `cyclonedx_xml`.

The SBOM output is concatenated with the scan results output. Use the `--output` flag to print the scan results and SBOM output to a specified file.

### Download SBOMs using REST APIs

The following API endpoints enable you to download SBOMs for function, image, and host scans:

* [Download SBOM Images API](https://pan.dev/prisma-cloud/api/cwpp/get-sbom-download-images/)
* [Download SBOM Hosts API](https://pan.dev/prisma-cloud/api/cwpp/get-sbom-download-hosts/)
* [Download SBOM VMs API](https://pan.dev/prisma-cloud/api/cwpp/get-sbom-download-vms/)
* [Download SBOM Serverless API](https://pan.dev/prisma-cloud/api/cwpp/get-sbom-download-serverless/)
* [Download SBOM Registry API](https://pan.dev/prisma-cloud/api/cwpp/get-sbom-download-registry/)
* [Download SBOM CLI Serverless API](https://pan.dev/prisma-cloud/api/cwpp/get-sbom-download-cli-serverless/)
* [Download SBOM CLI Images API](https://pan.dev/prisma-cloud/api/cwpp/get-sbom-download-cli-images/)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.prismacloud.io/admin-guide/33/vulnerability-management/exporting-sboms.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
